#ifndef KOR_H_INCLUDED
#define KOR_H_INCLUDED
#include <iostream>
#include <cstdlib>
#include "pont.h"

const double Pi = 3.141592653589;

class kor
{
    private:

        //adattagok
        pont kp;
        double r;

    public:
        //konstruktorok
        // default
        kor() : kp(), r(1) {}
        // pont és szám
        kor(pont p, double x) : kp(p), r(x) {}
        // 3 szám
        kor(double x, double y, double p) : kp(x,y), r(p) {}

        //getter es setter metodusok, izles szerint
        //ezek definicioi is kerulhetnek a cpp-be,
        pont getKp() { return kp; }
        // ...

        //public metodusok/fuggvenyek

        // Kiírás
        // ...
        // pont és kör távolsága
        double tavolsag(pont p) { return kp.tavolsag(p); }
        // terület
        double terulet() { return r*r*Pi; }
        // rajta van-e
        bool rajtavan(pont p) { return tavolsag(p) < r; }
};
#endif // KOR_H_INCLUDED
